## pywavelets 0.3.0

=== util/appveyor/requirements.txt ===
# Fetch a numpy wheel from the sklearn rackspace wheelhouse.
# That wheel was generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy provides an official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com

# fix the versions of numpy to force the use of numpy to use the whl
# of the rackspace folder instead of trying to install from more recent
# source tarball published on PyPI
numpy==1.8.1
Cython==0.20.2
nose
wheel

## pywavelets 0.2.0

=== debian/changelog ===
pywavelets (0.2.0-5) unstable; urgency=low

  * debian/patches/02_skip-wavelet-filters-coefficients-doctest.patches
    - Removed because exceed by 02_format-float-array-in-doctests.patch
  * debian/patches/02_format-float-array-in-doctests.patch
    - Added upstream patch to fix representation float issues in
      doctests accross Python versions
  * debian/patches/03_fix-help.patch
    - Added upstream patch to fix python interactive built-in help
      system (Closes: #595980)
  * debian/rules
    - Enabled hardening flags

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 22 May 2012 05:35:15 +0200

pywavelets (0.2.0-4) unstable; urgency=low

  * debian/control
    - Bumped Standards-Version to 3.9.3
  * debian/copyright
    - Fixed DEP5 lintian warnings
    - Updated Format URI
    - Updated copyright years
  * debian/preinst
    - Removed because no more needed after Squeeze release
  * debian/patches/01_fix-cython-0-14-compiling.patch
    - Made DEP3 compliant
  * debian/patches/02_skip-wavelet-filters-coefficients-doctest.patch
    - Skip wavelet filters coefficients doctest because it fails only
      in Python 2.7 due Float repr improvements backported from 3.x
  * debian/rules
    - Enabled tests at build time

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 13 Mar 2012 03:50:55 +0100

pywavelets (0.2.0-3) unstable; urgency=low

  * debian/control
    - Bumped python-sphinx Build-Depends to be able to use dh_sphinxdoc and
      added ${sphinxdoc:Depends} dependency
    - Removed libjs-jquery from Suggests field because dh_sphinxdoc will handle
      generation of jquery dependency
  * debian/copyright
     - Updated to DEP5 Format r174
  * debian/python-pywt.doc-base
    - Registered documentation provided by python-pywt using doc-base
  * debian/rules
    - Added build-arch and build-indep targets
    - Used dh_sphinxdoc
    - Removed dh_link symlink of jquery.js to libjs-jquery
    - Don't compress Sphinx _sources

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 25 Aug 2011 02:24:29 +0200

pywavelets (0.2.0-2) unstable; urgency=low

  * debian/control
    - Removed Piotr and added myself to Uploaders (Closes: #579114)
    - Bumped Standards-Version to 3.9.2 (no changes needed)
  * debian/patches/01_fix-cython-0-14-compiling.patch
    - Added upstream patch (Mercurial rev 784802d4118c) to compile
      using Cython 0.14
  * debian/rules
    - Don't compress objects.inv. Thanks to Michael Fladischer for the report.
      (Closes: #608766)
  * debian/source/format
    - Switched to dpkg-source 3.0 (quilt) format
  * debian/{control, rules}
    - Switched to dh_python2.

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 12 Apr 2011 02:55:04 +0200

pywavelets (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Rebuild documentation at build time
    - python-sphinx added to build dependencies
  * Standards-version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Mar 2010 21:05:17 +0100

pywavelets (0.1.7~svn139-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - Switch Vcs-Browser field to viewsvn
    - removed Ondrej from Uploaders: thanks for your work!

  [ Piotr Ożarowski ]
  * New upstream snapshot (closes: #510922, #510920)
  * Add get-orig-source rule
  * Use setup.py to build the package - python2.5 will create .egg-info during
    the build
  * Cython added to Build-Depends
  * Convert from python-central to python-support
  * Add libjs-jquery to Suggests (for new docs)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Nov 2009 21:44:19 +0100

pywavelets (0.1.7~svn97-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * New upstream snapshot (LP: #186421)
    + 01_not_a_script patch removed (no longer needed)
  * Standards-version bumped to 3.8.0
    + Homepage field added
  * Python version stripped from Egg name by pycentral (required version
    bumped to 0.6.1)
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * python-wavelets dummy package removed (python-pywt is already in testing
    and Etch doesn't have it)
  * Change license of my packaging efforts to BSD to match upstream
  * XS-DM-Upload-Allowed: yes field added

  [ Ondrej Certik ]
  * Added myself to uploaders
  * lintian warning fix: python -> Python

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Jul 2008 22:13:00 +0200

pywavelets (0.1.6-3) unstable; urgency=low

  * Fix debian/rules to use new package name
  * Add python-wavelets transitional dummy package to make the upgrade process
    smooth

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Sep 2007 20:53:24 +0200

pywavelets (0.1.6-2) unstable; urgency=low

  * Rename binary package to python-pywt
    (to conform to the Debian Python Policy)
  * find (see clean rule) works correctly in every build now (closes: #442715)
  * Rebuild to add Python 2.5 extension
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Sep 2007 22:27:33 +0200

pywavelets (0.1.6-1) unstable; urgency=low

  * Initial release (closes: #406557)

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 11 Jan 2007 22:43:38 +0100

=== debian/control ===
Source: pywavelets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 cython,
 debhelper (>= 5.0.38),
 python-all-dev (>=2.6.6-3),
 python-numpy (>= 1:0.9.8-2),
 python-setuptools (>= 0.6b3-1~),
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.3
Homepage: http://www.pybytes.com/pywavelets/
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pywavelets/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pywavelets/trunk/

Package: python-pywt
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
 python-numpy (>= 1:0.9.8-2)
Provides: ${python:Provides}
Description: Python extension implementing of wavelet transformations
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYTHONWARNINGS=d

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

PYVERS = $(shell pyversions -vr)
PACKAGE_NAME = python-pywt
MODULE_NAME = PyWavelets

TESTS = \
	test_doc.py \
	test_perfect_reconstruction.py \
	test_regression.py

pythonpath = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib.*-$${_py_})

clean:
	dh_testdir
	dh_testroot
	rm -rf build doc/build src/_pywt.[ch]
	rm -rf $(MODULE_NAME).egg-info
	find . -name '*\.py[co]' -delete
	dh_clean install-stamp install-ext-* build-stamp build-ext-* build-docs

build: build-arch build-indep
build-arch: build-stamp
build-indep:
build-stamp: build-docs $(PYVERS:%=build-ext-%)
	touch $@

build-docs:
	make -C doc html
	touch $@

build-ext-%:
	dh_testdir
	python$* setup.py build

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	cd tests; \
	for test in $(TESTS); do \
		PYTHONPATH=$(call pythonpath,python$*) python$* $$test; \
	done
endif

	touch $@

install: install-stamp
install-stamp: build-stamp $(PYVERS:%=install-ext-%)
install-ext-%:
	python$* setup.py install \
		--root $(CURDIR)/debian/$(PACKAGE_NAME) --install-layout=deb

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_sphinxdoc
	dh_link usr/share/doc/python-pywt/copyright usr/share/doc/python-pywt/html/_downloads/COPYING.txt
	dh_installexamples -a
	dh_python2 -a
	dh_strip -a
	dh_compress -X.py -Xobjects.inv -X.txt
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -a
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*svn([^-]+).*,\1,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
	if [ x$$REV = x ]; then \
	 uscan --force-download --rename --download-version=$$VER --destdir=.; \
	else \
	 svn -q export -r $$REV http://wavelets.scipy.org/svn/multiresolution/pywt/trunk pywavelets-r$$REV && \
         tar -zcf ./pywavelets_$$VER.orig.tar.gz pywavelets-r$$REV; \
	 rm -rf pywavelets-r$$REV; \
	fi

.PHONY: clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/PyWavelets/PyWavelets-(.*)\.tar\.gz debian uupdate

## pywavelets 0.2.2

=== debian/changelog ===
pywavelets (0.2.2-2) unstable; urgency=low

  * Upload to unstable
  * debian/rules
    - Removed get-orig-source since not used anymore
  * debian/watch
    - Switched download URL to https

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 13 Jul 2013 23:42:44 +0200

pywavelets (0.2.2-1) experimental; urgency=low

  * New upstream release
  * Removed upstream patches since they are included:
    - 01_fix-cython-0-14-compiling.patch
    - 02_format-float-array-in-doctests.patch
    - 03_fix-help.patch
  * debian/control
    - Bumped Standards-Version to 3.9.4 (no changes needed)
    - Bumped cython version to >= 0.16
    - Fixed lintian vcs-field-not-canonical
    - Removed Provides field for binary package python-pywt since
      there aren't packages with version specific dependencies on
      it
  * debian/copyright
    - Updated copyright years
    - Updated upstream email address
  * debian/docs
    - Renamed README.txt to README.rst to reflect upstream change
  * debian/watch
    - Updated to reflect extension change made by upstream
    - Removed debian uupdate action

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 13 Apr 2013 05:07:00 +0200

=== debian/control ===
Source: pywavelets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 cython (>=0.16),
 debhelper (>= 5.0.38),
 python-all-dev (>=2.6.6-3),
 python-numpy (>= 1:0.9.8-2),
 python-setuptools (>= 0.6b3-1~),
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.4
Homepage: http://www.pybytes.com/pywavelets/
X-Python-Version: >= 2.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pywavelets/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pywavelets/trunk/

Package: python-pywt
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
 python-numpy (>= 1:0.9.8-2)
Description: Python extension implementing of wavelet transformations
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.

=== debian/rules ===
--- 
+++ 
@@ -79,15 +79,4 @@
 
 binary: binary-indep binary-arch
 
-get-orig-source:
-	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*svn([^-]+).*,\1,p'); \
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
-	if [ x$$REV = x ]; then \
-	 uscan --force-download --rename --download-version=$$VER --destdir=.; \
-	else \
-	 svn -q export -r $$REV http://wavelets.scipy.org/svn/multiresolution/pywt/trunk pywavelets-r$$REV && \
-         tar -zcf ./pywavelets_$$VER.orig.tar.gz pywavelets-r$$REV; \
-	 rm -rf pywavelets-r$$REV; \
-	fi
-
 .PHONY: clean binary-indep binary-arch binary

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/P/PyWavelets/PyWavelets-(.*)\.zip

## pywavelets 0.3.0

=== debian/changelog ===
pywavelets (0.3.0-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:43:16 +0000

pywavelets (0.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #796767).
  * Switch packaging to pybuild.
  * Build Python3 package.
  * Build python-pywt-doc to ship documentation.
  * debian/compat
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Bump debhelper B-D to (>= 9).
    - Add dh-python, python{,3}-nose, python3-all-dev and python3-numpy to B-D.
    - Add python3-pywt stanza.
    - Add python-pywt-doc stanza.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.6.
    - Add X-Python3-Version >= 3.3.
    - Update Homepage field.
    - Update Vcs fields for git migration.
  * debian/copyright
    - Update Upstream-Contact.
    - Update copyright years.
    - Add stanza for files inside util/appveyor.
  * debian/docs
    - Rename README.rts into README.
  * debian/python-pywt-doc.docs
    - Ship documentation created with Python Sphinx.
  * debian/python-pywt-doc.doc-base
    - Rename from debian/python-pywt.doc-base.
  * debian/patches/01-get_version_from_source.patch
    - Grab version from the source code instead of importing pywt to build
      documentation at package build time.
  * debian/patches/02-remove_privacy_offenders.patch
    Remove Google Analitics and Travis build badge.
  * debian/patches/do_not_rewrite_git_revision_on_build.patch
    - Don't rewrite git revision during build.
  * debian/rules
    - Rewrite from scratch using pybuild.
    - Make the build reproducible. Thanks to Juan Picca for report and patch
      (Closes: #788594).
  * debian/watch
    - Use pypi.debian.net redirector.

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 04 Nov 2015 21:31:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pywt
export PYTHONWARNINGS=d

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build $(SPHINXOPTS) -N -bhtml doc/source doc/build/html

override_dh_auto_install:
	dh_auto_install
	# Unfortunately, we need to run tests after install because numpy does not
	# let you run them from the source directory.
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} -c \"import sys ; sys.path.insert(0, '{destdir}/usr/lib/python{version}/dist-packages/') ; import pywt ; pywt.test()\"" dh_auto_test
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyWavelets/PyWavelets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pywavelets 0.5.1

=== util/readthedocs/requirements.txt ===
# Fetch a numpy wheel from the sklearn rackspace wheelhouse.
# That wheel was generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy provides an official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com

# fix the versions of numpy to force the use of numpy to use the whl
# of the rackspace folder instead of trying to install from more recent
# source tarball published on PyPI
numpy==1.8.1
Cython==0.20.2
nose
wheel
numpydoc

=== debian/changelog ===
pywavelets (0.5.1-1.3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:02 +0100

pywavelets (0.5.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Grab patch from Ubuntu and Balint Reczey to fix an aligment problem on
    armhf (Closes: #917652)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Dec 2019 15:36:45 +0100

pywavelets (0.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938301

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Dec 2019 13:37:57 -0500

pywavelets (0.5.1-1.1) unstable; urgency=medium

  [ Balint Reczey ]
  * Non-maintainer upload.
  * Fix clean target to allow dpkg-buildpackage -S succeed

  [ Bhavani Shankar ]
  * Fix dh_fixperms override to work properly with 
    architecture-independent-only builds. (Closes: #852303)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 27 Mar 2017 07:42:33 +0000

pywavelets (0.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Daniele Tricoli ]
  * New upstream release.
  * debian/control
    - Add python3-setuptools to Build-Depends.
    - Add python-numpydoc to Build-Depends.
    - Bump Standards-Version to 3.9.8 (no changes needed).
  * debian/copyright
    - Update copyright years.
    - Align debian/copyright to new upstream source.
  * debian/docs
    - Rename README to README.rst.
  * debian/examples
    - Rename into python-pywt-doc.examples.
  * debian/python-pywt-doc.examples
    - Move examples to documentation package.
  * debian/rules
    - Copy tests to run them during build and then remove.
    - Enable hardening build flags.
    - Remove execution flag set on all files of orig tarball.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 23 Dec 2016 00:28:30 +0100

=== debian/control ===
Source: pywavelets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 cython3 (>=0.16),
 debhelper (>= 9),
 dh-python,
 python3-numpydoc,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-all-dev,
 python3-nose,
 python3-numpy,
 python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/PyWavelets/pywt
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pywavelets.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pywavelets.git

Package: python3-pywt
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-numpy
Description: Python3 extension implementing of wavelet transformations
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.
 .
 This package contains the Python 3 version of the library.

Package: python-pywt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python extension implementing of wavelet transformations (Documentation)
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.
 .
 This package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export PYBUILD_AFTER_TEST=rm -rf {destdir}/usr/lib/python{version}/dist-packages/pywt/tests
export PYBUILD_BEFORE_TEST=cp -r {dir}/pywt/tests {destdir}/usr/lib/python{version}/dist-packages/pywt
export PYBUILD_NAME=pywt
export PYTHONWARNINGS=d

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	# remove re-generated files
	rm -f ./pywt/_extensions/_pywt.c ./pywt/_extensions/_dwt.c ./pywt/_extensions/_pywt.h ./pywt/_extensions/_swt.c ./pywt/_extensions/_cwt.c

override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx $(SPHINXOPTS) -N -bhtml doc/source doc/build/html

override_dh_auto_install:
	dh_auto_install
	# Unfortunately, we need to run tests after install because numpy does not
	# let you run them from the source directory.
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} -c \"import sys ; sys.path.insert(0, '{destdir}/usr/lib/python{version}/dist-packages/') ; import pywt ; pywt.test(verbose=5)\"" dh_auto_test
endif

override_dh_fixperms_indep:
	dh_fixperms
	# Remove execution flag set by upstream for all files.
	find debian/python*-pywt -type f -exec chmod -x {} \;
override_dh_fixperms_arch:
	# Remove execution flag set by upstream also on examples.
	find debian/python-pywt-doc -type f -exec chmod -x {} \;

## pywavelets 1.1.1

=== util/readthedocs/requirements.txt ===
numpy
cython
pytest
wheel
numpydoc
matplotlib

=== debian/changelog ===
pywavelets (1.1.1-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Ole Streicher ]
  * New upstream version 1.1.1. Closes: #962815
  * Rediff patches. Remove patch that was applied upstream
  * Add new build dependencies
  * Remove non-existing files from docs install
  * Push Standards-Version to 4.5.0. Change remaining URLs to https
  * Update dh-compat to 12
  * Use d/clean to remove extra files
  * Add "Rules-Requires-Root: no" to d/control
  * Replace dpkg-parsechangelog by SOURCE_DATE_EPOCH
  * Use the packaged MathJax
  * Add Suggests: python-pyqwt-doc to python3-pyqwt. Closes: #893107

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Jun 2020 11:19:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Priority: optional
 Build-Depends:
  cython3 (>=0.16),
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
+ python3-matplotlib,
  python3-numpydoc,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-all-dev,
  python3-nose,
  python3-numpy,
+ python3-pytest,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: https://github.com/PyWavelets/pywt
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pywavelets.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pywavelets.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pywavelets.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pywavelets
+Rules-Requires-Root: no
 
 Package: python3-pywt
 Architecture: any
@@ -27,6 +28,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  python3-numpy
+Suggests: python-pywt-doc
 Description: Python3 extension implementing of wavelet transformations
  PyWavelets implements the discrete wavelet transform (DWT) popular in
  numerical harmonic analysis for numerous families of wavelets, including
@@ -38,7 +40,7 @@
 Package: python-pywt-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
 Description: Python extension implementing of wavelet transformations (Documentation)
  PyWavelets implements the discrete wavelet transform (DWT) popular in
  numerical harmonic analysis for numerous families of wavelets, including

=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,20 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export PYBUILD_AFTER_TEST=rm -rf {destdir}/usr/lib/python{version}/dist-packages/pywt/tests
 export PYBUILD_BEFORE_TEST=cp -r {dir}/pywt/tests {destdir}/usr/lib/python{version}/dist-packages/pywt
 export PYBUILD_NAME=pywt
 export PYTHONWARNINGS=d
+export PYBUILD_CLEAN_ARGS = --force
 
-LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(SOURCE_DATE_EPOCH)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-
-override_dh_auto_clean:
-	dh_auto_clean
-	# remove re-generated files
-	rm -f ./pywt/_extensions/_pywt.c ./pywt/_extensions/_dwt.c ./pywt/_extensions/_pywt.h ./pywt/_extensions/_swt.c ./pywt/_extensions/_cwt.c
 
 override_dh_auto_test:
 
@@ -38,6 +35,7 @@
 	dh_fixperms
 	# Remove execution flag set by upstream for all files.
 	find debian/python*-pywt -type f -exec chmod -x {} \;
+
 override_dh_fixperms_arch:
 	# Remove execution flag set by upstream also on examples.
 	find debian/python-pywt-doc -type f -exec chmod -x {} \;

## pywavelets 1.4.1

=== util/readthedocs/requirements.txt ===
numpy
cython
pytest
wheel
numpydoc
matplotlib
docutils<0.18

=== debian/changelog ===
pywavelets (1.4.1-3build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:15:38 +0000

pywavelets (1.4.1-3build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:09:49 +0000

pywavelets (1.4.1-3build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 09:19:14 +0000

pywavelets (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * Fix d/watch for new PyPi archive naming policy.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 07 Jan 2025 23:35:44 +0100

pywavelets (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-nose (Closes: #1018601)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 May 2024 22:50:52 +0200

pywavelets (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Remove distutils dependency (closes: #1068805).
  * Remove misspelled override_dh_fixperms_indep and
    override_dh_fixperms_arch targets from debian/rules; they're no longer
    needed anyway.
  * Build-depend on dh-sequence-numpy3 (closes: #1000232).
  * Fix handling of SOURCE_DATE_EPOCH in debian/rules.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Apr 2024 16:12:54 +0100

pywavelets (1.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cython3 and python3-sphinx.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + python-pywt-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:37:40 +0100

pywavelets (1.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 18:39:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: pywavelets
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
 Build-Depends:
- cython3 (>=0.16),
- debhelper-compat (= 12),
+ cython3,
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-numpy3,
  python3-matplotlib,
  python3-numpydoc,
- python3-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx,
  python3-all-dev,
- python3-nose,
  python3-numpy,
  python3-pytest,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/PyWavelets/pywt
-Vcs-Git: https://salsa.debian.org/python-team/modules/pywavelets.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pywavelets
+Vcs-Git: https://salsa.debian.org/python-team/packages/pywavelets.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pywavelets
 Rules-Requires-Root: no
 
 Package: python3-pywt
@@ -41,6 +41,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
+Multi-Arch: foreign
 Description: Python extension implementing of wavelet transformations (Documentation)
  PyWavelets implements the discrete wavelet transform (DWT) popular in
  numerical harmonic analysis for numerous families of wavelets, including

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYTHONWARNINGS=d
 export PYBUILD_CLEAN_ARGS = --force
 
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(SOURCE_DATE_EPOCH)")
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(if $(SOURCE_DATE_EPOCH),@$(SOURCE_DATE_EPOCH))")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
@@ -31,11 +31,5 @@
 	PYBUILD_TEST_ARGS="{interpreter} -c \"import sys ; sys.path.insert(0, '{destdir}/usr/lib/python{version}/dist-packages/') ; import pywt ; pywt.test(verbose=5)\"" dh_auto_test
 endif
 
-override_dh_fixperms_indep:
-	dh_fixperms
-	# Remove execution flag set by upstream for all files.
-	find debian/python*-pywt -type f -exec chmod -x {} \;
-
-override_dh_fixperms_arch:
-	# Remove execution flag set by upstream also on examples.
-	find debian/python-pywt-doc -type f -exec chmod -x {} \;
+execute_before_dh_python3:
+	dh_numpy3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyWavelets/[Pp]y[Ww]avelets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
